/* Basic bits */
* {
    margin: 0;
    padding: 0;
}

a{
    color: #e7e7e7;
    text-decoration: none;
}

body{
    color: #e7e7e7;
    background-color: #212121;
    font-family: "Raleway", "sans-serif";
}

/* Subject and Contact bar */
.SubjectBar{
    background-color: #b02727;

    position: fixed;
    
    top: 0px;
    width: 100%;
    height: 80px;

    z-index: 1;
}

.Subjects{
    text-align: center;
}

.SubjectButton{
    margin-left: 10px;
    margin-right: 10px;
    position: relative;
    display: inline-block;

    top: 10px;

    width: 150px;

    text-align: center;
    font-size: 35px;
    line-height: 60px;
}

.CurrentSubject{
    background-color: #3f3f3f;
    border-radius: 100px;
}

.AvailableSubject{
    background-color: #b02727;
    border-radius: 100px;
}

.ContactBar{
    background-color: #861e1e;

    position: fixed;

    top: 80px;
    width: 100%;
    height: 60px;

    z-index: 1;
}

.LinkIcons{
    text-align: center;
    position: relative;
}

.Icon{
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
    display: inline-block;
}

@media screen and (max-width: 710px) {
    .SubjectBar {
        height: 60px;
    }

    .SubjectButton {
        width: 90px;

        font-size: 20px;
        line-height: 40px;
    }

    .ContactBar {
        top: 60px;
    }
}


@media screen and (max-width: 500px) {
    .SubjectBar {
        height: 85px;
    }

    .SubjectButton {
        width: 110px;
        margin-left: 20px;
        margin-right: 20px;
        margin-bottom: 5px;
        top: 5px;
        font-size: 20px;
        line-height: 35px;
    }

    .ContactBar {
        top: 85px;
    }
}

/* Projects page */
.Title{
    background-color: #3f3f3f;
    text-decoration: underline;

    clear: left;
    text-align: center;
    font-size: 35px;
}

#OngoingDisplay{
    text-align: center;
}

#PersonalDisplay{
    text-align: center;
}

#StudentDisplay{
    text-align: center;
}

.DisplayBlock{
    display: inline-block;
    box-sizing: border-box;

    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 10px;

    margin-left: auto;
    margin-right: auto;
}

.Project{
    background-color: #3f3f3f;
    display: block;
    box-sizing: inherit;

    border-radius: 10px;
    padding: 10px;

    text-align: center;
}

.Date{
    font-size: 25px;
    text-align: center;
}

.Tags{
    text-align: center;
    font-weight: bold;

    font-size: 20px;
    padding-left: 6px;
    padding-right: 6px;
    padding-top: 3px;
    padding-bottom: 3px;

    border-radius: 10px;
}

.Tag_Unity{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #54de87b6;
}

.Tag_Unreal{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #e46295;
}

.Tag_VR{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #488107;
}

.Tag_PS5{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #67837f;
}

.Tag_CS{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #705055;
}

.Tag_CPP{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #c47270;
}

.Tag_BP{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #F45866;
}

.Tag_HTML{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #C45AB3;
}

.Tag_CSS{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #873EA9;
}

.Tag_Solo{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #548fde;
}

.Tag_Team{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #c78c3f;

}

.Tag_Client{
    display: inline-block;
    padding: inherit;

    border-radius: inherit;
    background-color: #657a2c;

}

.Thumbnail{
    height: 200px;
    width: 252px;
    border-radius: 20px;
    overflow: hidden;
    margin-left: auto;
    margin-right: auto;
}

/* Focused project page */
.ProjectContent{
    text-align: left;
}

.ProjectTitle{
    background-color: #3f3f3f;

    text-align: center;
    font-size: 50px;
    margin-top: 10px;
    margin-bottom: 15px;
    padding-top: 5px;
    padding-bottom: 10px;
}

.ProjectDate{
    font-size: 25px;
    text-align: center;
    text-decoration:none;
}

.ProjectSectionTitle{
    font-size: 25px;
    text-decoration: underline;
    text-align: center;
}

.ProjectDescription{
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px;

    padding: 10px;
    background-color: #3f3f3f;
    border-radius: 10px;
    font-size: 20px;
}

.ProjectLinks{
    margin-top: 10px;
    text-align: center;
}

.Link{
    margin-left: 10px;
    margin-right: 10px;
    display: inline-block;
}

.Gallery{
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    vertical-align: middle;
}

.Image{
    display: inline-block;
    box-sizing: border-box;

    padding: 10px;
    padding-top: 0px
}

.CurrentTaskGallery{
    width: 100%;

}

@media screen and (max-width: 710px) {
    .ProjectDescription {
        width: 75%;


        
    }
}

/* About page */
.Portrait{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    overflow: hidden;
}

/* Contact page */
.break{
    margin-bottom: 10px;
}

.ContactText{
    font-size: 20px;
}

ul{
    margin-left: 30px;
}

/* Home page */
#FeaturedDisplay{
    text-align: center;
}